%global mod_name matrix-project-plugin
%global short_name matrix-project
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/%{short_name}.jpi

Name:           jenkins-%{mod_name}
Version:        1.3
Release:        1%{?dist}
Summary:        Jenkins Matrix Project Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/matrix-project-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.plugins:junit)
Requires:       jenkins-webapp

BuildArch:      noarch

%description
This package provides Jenkins plugin which adds support for
Multi-configuration (matrix) project type.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

cp %{SOURCE1} .
%mvn_package ::hpi: __noinstall
%mvn_file ::jar:: %{name}/%{short_name} %{plugin_home}/WEB-INF/lib/%{short_name}

# TODO: this should be pulled in from somewhere else
%pom_add_dep org.jenkins-ci.plugins:junit

%build
# tests have special needs:
# "package hudson.tasks.junit does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
# unpack hpi file into the correct location
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d %{buildroot}/%{plugin_home} target/%{short_name}.hpi
rm %{buildroot}/%{plugin_home}/WEB-INF/lib/*

%mvn_install
sed -i 's|%{plugin_home}/WEB-INF/lib/%{short_name}.jar||' .mfiles

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Oct 09 2014 Michal Srb <msrb@redhat.com> - 1.3-1
- Initial packaging

